var defaultOpts = { interval: 5000, fadeInTime: 300, fadeOutTime: 200 };
var _titles = $("ul.slideTxt li");
var _titles_bg = $("ul.slideop li");
var _bodies = $("ul.slidePic li");
var _count = _titles.length;
var _current = 0;
//var show_num = 0;
var _intervalID = null;
var stop = function() { window.clearInterval(_intervalID);};
var slide = function(opts){
	if (opts) {
		_current = opts.current || 0;
	} else {
		_current = (_current >= (_count - 1)) ? 0 : (++_current);
	};
	_bodies.filter(":visible").fadeOut(defaultOpts.fadeOutTime, function() {
		_bodies.eq(_current).fadeIn(defaultOpts.fadeInTime);
		_bodies.removeClass("cur").eq(_current).addClass("cur");
	});
	_titles.removeClass("cur").eq(_current).addClass("cur");
	_titles_bg.removeClass("cur").eq(_current).addClass("cur");	
	if(_current%7 == 0){
		$(".slideTxt li").hide();
		for(var i=_current;i<_current+7;i++){
			$(".slideTxt li:eq("+i+")").show();
		}
	}
};
var go = function() {
	stop();
	_intervalID = window.setInterval(function() { slide();}, defaultOpts.interval);
}; 
var itemMouseOver = function(target, items) {
	stop();
	var i = $.inArray(target, items);
	slide({ current: i });
};
_titles.hover(function() { if($(this).attr('class')!='cur'){itemMouseOver(this, _titles);}else{stop();}}, go);
_titles_bg.hover(function() { itemMouseOver(this, _titles_bg);}, go);
_bodies.hover(stop, go);
go();
function up_show_pic(){
	if(_current == 0){	
		slide({ current: _count-1 });
	}
	else{
		slide({ current: _current-1 });
	}
	if(_current%7 == 6){
		$(".slideTxt li").hide();
		for(var i=_current-6;i<=_current;i++){
			$(".slideTxt li:eq("+i+")").show();
		}
	}
}
function down_show_pic(){
	if(_current >= _count-1)	_current=0;
	else _current+=1;
	slide({ current: _current });
	if(_current%7 == 0){
		$(".slideTxt li").hide();
		for(var i=_current;i<_current+7;i++){
			$(".slideTxt li:eq("+i+")").show();
		}
	}
}
$(".slidePic img").each(function(){
	var picheight=$(this).height();
	var picwidth=$(this).width();
	var pci_pro=picheight/picwidth;
	if(pci_pro>=2){
		$(this).css("width","160px");
	}else if(pci_pro>=1.5){		
		$(this).css("width","320px");
	}else if(pci_pro>=1){		
		$(this).css("width","420px");
	}else if(pci_pro>=0.8){	
		$(this).css("width","500px");
	}else{
		$(this).css("width","840px");	
	}	
});